Subject: Re: What's cooking in git.git (Dec 2024, #01; Tue, 3)

From: Toon Claes <[email-masked]>
Date: Tue, 03 Dec 2024 16:30:35 +0100

Junio C Hamano <[email-masked]> writes:

> * kn/the-repository (2024-11-27) 10 commits
>  - packfile.c: remove unnecessary prepare_packed_git() call
>  - midx: add repository to `multi_pack_index` struct
>  - config: make `packed_git_(limit|window_size)` non-global variables
>  - config: make `delta_base_cache_limit` a non-global variable
>  - packfile: pass down repository to `for_each_packed_object`
>  - packfile: pass down repository to `has_object[_kept]_pack`
>  - packfile: pass down repository to `odb_pack_name`
>  - packfile: pass `repository` to static function in the file
>  - packfile: use `repository` from `packed_git` directly
>  - packfile: add repository to struct `packed_git`
>  (this branch is used by kn/midx-wo-the-repository.)
>
>  Various implicit uses of 'the_repoository' in the packfile code
>  have been eliminated.
>
>  Will merge to 'next'?
>  source: <[email-masked]>

I did a thorough review of v7 and did another pass on the patches of v9.
I don't have any more comments. The only thing left is whether the
comments [1] & [2] from Kristoffer require a reroll. I'm fine either
way.

-- 
Toon

[1]: https://lore.kernel.org/git/[email-masked]
[2]: https://lore.kernel.org/git/[email-masked]